## GMimeFilterEnriched

GMimeFilterEnriched — Convert text/enriched or text/rtf to HTML

## Functions

GMimeFilter * | g_mime_filter_enriched_new ()

## Types and Values

#define | GMIME_FILTER_ENRICHED_IS_RICHTEXT
struct | GMimeFilterEnriched

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterEnriched

## Description

A GMimeFilter used for converting text/enriched or text/rtf to HTML.

## Functions

### g_mime_filter_enriched_new ()

    GMimeFilter *
    g_mime_filter_enriched_new (guint32 flags);

Creates a new GMimeFilterEnriched object.

#### Parameters

flags | flags |

#### Returns

a new GMimeFilter object.

## Types and Values

### GMIME_FILTER_ENRICHED_IS_RICHTEXT

    #define GMIME_FILTER_ENRICHED_IS_RICHTEXT  (1 << 0)

A bit flag for `g_mime_filter_enriched_new()` which signifies that the filter should expect Rich Text (aka RTF).

### struct GMimeFilterEnriched

    struct GMimeFilterEnriched;

A filter for converting text/enriched or text/richtext textual streams into text/html.

#### Members

## See Also

GMimeFilter